Samba4 Compilar para pfSense



  • Olá bom dia.

    Estou compilando o samba4 no freebsd, para gerar os pacotes para pfsense.

    no freebsd tudo funciona muito bem.

    quando add os pacotes no pfsense, recebo a seguinte mensagem ao executar o samba-tool.

    [2.1-RELEASE][admin@pfSense.localdomain]/root(1): samba-tool
    Traceback (most recent call last):
      File "/usr/local/bin/samba-tool", line 33, in <module>
        from samba.netcmd.main import cmd_sambatool
      File "/usr/local/lib/python2.7/site-packages/samba/netcmd/main.py", line 24, in <module>
        from samba.netcmd.delegation import cmd_delegation
      File "/usr/local/lib/python2.7/site-packages/samba/netcmd/delegation.py", line 23, in <module>
        from samba import provision
      File "/usr/local/lib/python2.7/site-packages/samba/provision/__init__.py", line 46, in <module>
        from samba.samba3 import smbd, passdb
      File "/usr/local/lib/python2.7/site-packages/samba/samba3/__init__.py", line 29, in <module>
        import passdb
    ImportError: /usr/local/lib/libsmbconf.so.0: Undefined symbol "yperr_string"
    [2.1-RELEASE][admin@pfSense.localdomain]/root(2):</module></module></module></module></module>
    

    alguém sabe o que pode ser?



  • Buenas!

    Já viu esta gravação do hangout do Luiz Gustavo que aborda o tema??? http://www.youtube.com/watch?v=QkDTc4M4d38

    Em caso de resposta negativa, veja com atenção. ;)

    Abraços!
    Jack



  • Já visualizei sim o vídeo, participei ativamente desse hangout sobre o samba.
    O pacote do  hangout de instalação apresenta o mesmo erro!

    Alguém tem o pacote do samba4 funcionando bem no pfsense? esse do Luiz?

    Obrigado!



  • @jorhardware:

    Alguém tem o pacote do samba4 funcionando bem no pfsense? esse do Luiz?

    Que tal entrar em contato com o próprio Luiz?

    Ele é quem portou o pacote, a priori, para o pfSense… E, até onde eu sei, vinha desenvolvendo a GUI e resolvendo problemas de dependências com o PBI.

    Abraços!
    Jack